Update document settings
curl --request PUT \
--url https://app.myhero.so/document-settings/{documentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"setting": {}
}'import requests
url = "https://app.myhero.so/document-settings/{documentId}"
payload = { "setting": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({setting: {}})
};
fetch('https://app.myhero.so/document-settings/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": true
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}{
"error": "<string>",
"message": "<string>",
"details": [
"<unknown>"
]
}Documents
Update document settings
Applies a partial settings update to the document identified by documentId.
The setting map may contain any combination of string or boolean setting keys.
Requires edit access to the document.
Returns true on success.
PUT
/
document-settings
/
{documentId}
Update document settings
⌘I